<div class="containers">
    <div class="innerContainer">
        <div class="innerContainer center">
            <app-pokedropdown [error]="error" [pokes]="pokes" (loadData)="loadData()" (selectPoke)="selectPokemon($event)"></app-pokedropdown>
            <app-pokeoptions (changeGender)="setGender($event)" (changeShiny)="setShiny($event)"></app-pokeoptions>
        </div>
        <app-pokeinfo [pokemon]="selectedPokemon" [shiny]="shiny" [gender]="gender"></app-pokeinfo>
        
    </div>
    <button *ngIf="selectedPokemon !== null && coordinates !== null" (click)="onRegisterClick()" style="border:none; background-color: rgba(0,0,0,0.2)">Register poke</button>
    <app-pokemap [pokemon]="selectedPokemon" [shiny]="shiny" [gender]="gender" (latLng)="setCoordinates($event)"></app-pokemap>

</div>